SCP(1)

NAME
scp - secure copy (remote file copy program)

SYNOPSIS
scp [-pqrvC46] [-P port] [-c cipher] [-i identity_file] [ [user@] host1: ]file1 [...] [ [user@] host2: ]file2

DESCRIPTION
scp copies files between hosts on a network. It uses ssh(1) for data transfer, and uses the same authentication and provides the same security as ssh(1). Unlike rcp(1), scp will ask for passwords or passphrases if they are needed for authentication.

Any file name may contain a host and user specification to indicate that the file is to be copied to/from that host. Copies between two remote hosts are permitted.

The options are as follows:

-c cipher
    Selects the cipher to use for encrypting the data transfer. This option is directly passed to ssh(1).

-i identity_file
    Selects the file from which the identity (private key) for RSA authentication is read. This option is directly passed to ssh(1).

-p  Preserves modification times, access times, and modes from the original file.

-r  Recursively copy entire directories.

-v  Verbose mode. Causes scp and ssh(1) to print debugging messages about their progress. This is helpful in debugging connection, authentication, and configuration problems.

-B  Selects batch mode (prevents asking for passwords or passphrases).

-q  Disables the progress meter.

-C  Compression enable. Passes the -C flag to ssh(1) to enable compression.

-P port
    Specifies the port to connect to on the remote host. Note that this option is written with a capital ‘P’, because -p is already reserved for preserving the times and modes of the file in rcp(1).

-4  Forces scp to use IPv4 addresses only.

-6  Forces scp to use IPv6 addresses only.

AUTHORS
Timo Rinne <tri@iki.fi> and Tatu Ylonen <ylo@cs.hut.fi>

HISTORY
scp is based on the rcp(1) program in BSD source code from the Regents of the University of California.

SEE ALSO
rcp(1), ssh(1), ssh-add(1), ssh-agent(1), ssh-keygen(1), sshd(8)